//Source file: SyntaxErrorException.java
//Date: March 2007
//Policy Management Interfaces and Data Types for 3GPP TS 29.198-13 V7.0.0, Release 7

package org.csapi.jr.se.policy;

/**
 * Thrown if the specified name is formatted improperly.
 *
 */
public class SyntaxErrorException extends org.csapi.jr.se.policy.PolicyException {

    private Throwable _cause = null;

    public SyntaxErrorException() {
        super(); 
    }

    public SyntaxErrorException(String message) {
        super(message); 
    }

    public SyntaxErrorException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public SyntaxErrorException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // SyntaxErrorException

