//Source file: PolicyCondition.java
//Date: March 2007
//Policy Management Interfaces and Data Types for 3GPP TS 29.198-13 V7.0.0, Release 7

package org.csapi.jr.se.policy.provisioning;

/**
 * This interface represents a PolicyCondition.<BR>
 *
 */
public interface PolicyCondition extends org.csapi.jr.se.Service {

    /**
     * Invokes the getParentRepository() method on the Parlay Gateway.
     */
    org.csapi.jr.se.policy.provisioning.PolicyRepository getParentRepository()
      throws org.csapi.jr.se.PlatformException,
       org.csapi.jr.se.CommonException;

    /**
     * Invokes the getParentRule() method on the Parlay Gateway.
     */
    org.csapi.jr.se.policy.provisioning.PolicyRule getParentRule()
      throws org.csapi.jr.se.PlatformException,
       org.csapi.jr.se.CommonException;

}
