//Source file: PolicyNameType.java
//Date: March 2007
//Policy Management Interfaces and Data Types for 3GPP TS 29.198-13 V7.0.0, Release 7

package org.csapi.jr.se.policy;

/**
 * 
 * 
 */
public final class PolicyNameType implements java.io.Serializable {

    private String names;
    private org.csapi.jr.se.policy.PolicyType types;

    /**
     * Creates a new PolicyNameType instance.
     */
    public PolicyNameType () {}

    /**
     * Creates a new PolicyNameType instance.
     * @param _names   
     * @param _types   
     */
    public PolicyNameType (String _names, org.csapi.jr.se.policy.PolicyType _types) {

        this.names = _names;
        this.types = _types;
    }

    /**
     * This method returns a names.
     * 
     * @return a String value
     */
    public String getNames() {
        return names;
    }

    /**
     * This method returns a types.
     * 
     * @return a org.csapi.jr.se.policy.PolicyType value
     */
    public org.csapi.jr.se.policy.PolicyType getTypes() {
        return types;
    }


    /**
     * This method sets a names.
     */ 
    public void setNames(String names) {
        this.names = names;
    }

    /**
     * This method sets a types.
     */ 
    public void setTypes(org.csapi.jr.se.policy.PolicyType types) {
        this.types = types;
    }


    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof PolicyNameType)) {
            return false;
        } 
        PolicyNameType policyNameType = (PolicyNameType) o;
        if ((this.names != null) && (policyNameType.names != null)) {
            if(!(this.names.equals(policyNameType.names)))  {
                return false;
            }
        }
        if ((this.types != null) && (policyNameType.types != null)) {
            if(!(this.types.equals(policyNameType.types))) {
                return false;
            }
        }
        if (this.hashCode() != o.hashCode()) {
            return false;
        }
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // PolicyNameType

