//Source file: NotificationListener.java
//Date: March 2007
//Policy Management Interfaces and Data Types for 3GPP TS 29.198-13 V7.0.0, Release 7

package org.csapi.jr.se.policy.evaluation;

/**
 * This interface is to be implemented for receiving events issued by the Notification activity object.<BR>
 *
 */
public interface NotificationListener extends java.util.EventListener {

    /**
     * Called due to a Gateway initiated call to the reportNotification() method on
     * the callback interface
     *
     * @param  reportNotificationEvent  Reference to a ReportNotificationEvent event
     *      emitted from the activity object.
     */
     void onReportNotificationEvent(org.csapi.jr.se.policy.evaluation.ReportNotificationEvent reportNotificationEvent);


}
